about summary refs log tree commit diff
path: root/corepkgs
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2003-07-10T20·34+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2003-07-10T20·34+0000
commit822c072cfa0f1e4ac304343d78e024ba19da34a8 (patch)
treea47172b7a6c22b9b6d2655eca272f8a5eca1eb3b /corepkgs
parent9bcc31c94168717c8bd27b83bfab686264f63745 (diff)
* Compress Nix archives when pushing them.
Diffstat (limited to 'corepkgs')
-rw-r--r--corepkgs/nar/nar.sh2
-rw-r--r--corepkgs/nar/unnar.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/corepkgs/nar/nar.sh b/corepkgs/nar/nar.sh
index 6ffcf63224a8..3dbeed02952f 100644
--- a/corepkgs/nar/nar.sh
+++ b/corepkgs/nar/nar.sh
@@ -1,3 +1,3 @@
 #! /bin/sh
 
-/tmp/nix/bin/nix --dump --file "$path" > $out || exit 1
+/tmp/nix/bin/nix --dump --file "$path" | bzip2 > $out || exit 1
diff --git a/corepkgs/nar/unnar.sh b/corepkgs/nar/unnar.sh
index e6a3f3c1fe19..01b6a3ebe475 100644
--- a/corepkgs/nar/unnar.sh
+++ b/corepkgs/nar/unnar.sh
@@ -1,3 +1,3 @@
 #! /bin/sh
 
-/tmp/nix/bin/nix --restore "$out" < $nar || exit 1
+bunzip2 < $nar | /tmp/nix/bin/nix --restore "$out" || exit 1